ListTickets

GET/support/v1/tickets

Query Parameters

pagination.limit?limit

Maximum number of items to return.

Formatint32
Range1 <= value <= 100
Default"25"
pagination.offset?offset

Number of items to skip before collecting the result set.

Formatint32
Default"0"
status?status

The status query parameter.

Value in

  • "TICKET_STATUS_UNSPECIFIED"
  • "TICKET_STATUS_OPEN"
  • "TICKET_STATUS_PENDING"
  • "TICKET_STATUS_RESOLVED"
  • "TICKET_STATUS_CLOSED"

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/support.v1.ListTicketsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "tickets": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/support.v1.Ticket",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Kp3Lm8Qr2Z"
                ],
                "title": "id"
              },
              "org_id": {
                "type": "string",
                "examples": [
                  "OR98234j23"
                ],
                "title": "org_id"
              },
              "user_id": {
                "type": "string",
                "examples": [
                  "Us1234abcd"
                ],
                "title": "user_id"
              },
              "project_id": {
                "type": "string",
                "examples": [
                  "Bq4y3QB38S"
                ],
                "title": "project_id"
              },
              "category_id": {
                "type": "string",
                "examples": [
                  "Mn0bVc9xZ8"
                ],
                "title": "category_id"
              },
              "topic_id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "topic_id"
              },
              "subject": {
                "type": "string",
                "examples": [
                  "Invoice download is failing"
                ],
                "title": "subject"
              },
              "status": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/support.v1.TicketStatus",
                    "$ref-value": {
                      "type": "string",
                      "title": "TicketStatus",
                      "enum": [
                        "TICKET_STATUS_UNSPECIFIED",
                        "TICKET_STATUS_OPEN",
                        "TICKET_STATUS_PENDING",
                        "TICKET_STATUS_RESOLVED",
                        "TICKET_STATUS_CLOSED"
                      ]
                    }
                  }
                ],
                "examples": [
                  "TICKET_STATUS_OPEN"
                ],
                "title": "status"
              },
              "priority": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/support.v1.TicketPriority",
                    "$ref-value": {
                      "type": "string",
                      "title": "TicketPriority",
                      "enum": [
                        "TICKET_PRIORITY_UNSPECIFIED",
                        "TICKET_PRIORITY_LOW",
                        "TICKET_PRIORITY_NORMAL",
                        "TICKET_PRIORITY_HIGH",
                        "TICKET_PRIORITY_URGENT"
                      ]
                    }
                  }
                ],
                "examples": [
                  "TICKET_PRIORITY_NORMAL"
                ],
                "title": "priority"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "updated_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "updated_at"
              }
            },
            "title": "Ticket",
            "additionalProperties": false
          }
        },
        "title": "tickets"
      },
      "total": {
        "type": "string",
        "examples": [
          "3"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "examples": [
          "0"
        ],
        "title": "offset",
        "format": "int32",
        "description": "Number of items skipped before this page."
      },
      "limit": {
        "type": "integer",
        "examples": [
          "25"
        ],
        "title": "limit",
        "format": "int32",
        "description": "Maximum number of items returned."
      }
    },
    "title": "ListTicketsResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/support/v1/tickets"

Success

application/json

{
  "$ref": "#/components/schemas/support.v1.ListTicketsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "tickets": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/support.v1.Ticket",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Kp3Lm8Qr2Z"
                ],
                "title": "id"
              },
              "org_id": {
                "type": "string",
                "examples": [
                  "OR98234j23"
                ],
                "title": "org_id"
              },
              "user_id": {
                "type": "string",
                "examples": [
                  "Us1234abcd"
                ],
                "title": "user_id"
              },
              "project_id": {
                "type": "string",
                "examples": [
                  "Bq4y3QB38S"
                ],
                "title": "project_id"
              },
              "category_id": {
                "type": "string",
                "examples": [
                  "Mn0bVc9xZ8"
                ],
                "title": "category_id"
              },
              "topic_id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "topic_id"
              },
              "subject": {
                "type": "string",
                "examples": [
                  "Invoice download is failing"
                ],
                "title": "subject"
              },
              "status": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/support.v1.TicketStatus",
                    "$ref-value": {
                      "type": "string",
                      "title": "TicketStatus",
                      "enum": [
                        "TICKET_STATUS_UNSPECIFIED",
                        "TICKET_STATUS_OPEN",
                        "TICKET_STATUS_PENDING",
                        "TICKET_STATUS_RESOLVED",
                        "TICKET_STATUS_CLOSED"
                      ]
                    }
                  }
                ],
                "examples": [
                  "TICKET_STATUS_OPEN"
                ],
                "title": "status"
              },
              "priority": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/support.v1.TicketPriority",
                    "$ref-value": {
                      "type": "string",
                      "title": "TicketPriority",
                      "enum": [
                        "TICKET_PRIORITY_UNSPECIFIED",
                        "TICKET_PRIORITY_LOW",
                        "TICKET_PRIORITY_NORMAL",
                        "TICKET_PRIORITY_HIGH",
                        "TICKET_PRIORITY_URGENT"
                      ]
                    }
                  }
                ],
                "examples": [
                  "TICKET_PRIORITY_NORMAL"
                ],
                "title": "priority"
              },
              "created_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "created_at"
              },
              "updated_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "examples": [
                  "2026-01-15T10:30:00Z"
                ],
                "title": "updated_at"
              }
            },
            "title": "Ticket",
            "additionalProperties": false
          }
        },
        "title": "tickets"
      },
      "total": {
        "type": "string",
        "examples": [
          "3"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "examples": [
          "0"
        ],
        "title": "offset",
        "format": "int32",
        "description": "Number of items skipped before this page."
      },
      "limit": {
        "type": "integer",
        "examples": [
          "25"
        ],
        "title": "limit",
        "format": "int32",
        "description": "Maximum number of items returned."
      }
    },
    "title": "ListTicketsResponse",
    "additionalProperties": false
  }
}